POST api/NTSetting/PostCaseOutComeQuestion

Request Information

URI Parameters

None.

Body Parameters

CaseOutComeQuestionDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Name

string

String length: inclusive between 0 and 1000

QuestionType

integer

None.

CaseOutComeTypeId

integer

None.

CaseOutComeType

string

String length: inclusive between 0 and 50

CaseOutcomeOptionList

Collection of CaseOutComeOptionDTO

None.

COSFormTypeId

integer

None.

Form

string

String length: inclusive between 0 and 200

ParentLevel1

integer

None.

OptionCount

integer

None.

Code

string

String length: inclusive between 0 and 50

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Name": "sample string 2",
  "QuestionType": 3,
  "CaseOutComeTypeId": 1,
  "CaseOutComeType": "sample string 4",
  "CaseOutcomeOptionList": [
    {
      "Id": 1,
      "Name": "sample string 2",
      "COSQuestionId": 3,
      "NeedMoreInfo": true,
      "ParentId": 1,
      "QuestionName": "sample string 5",
      "AnswerValue": 1,
      "AnswerDetail": "sample string 6",
      "ParentLevel1": 1,
      "COSFormId": 1,
      "Code": "sample string 7",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T02:09:25.6044755-07:00",
      "DateUpdated": "2026-08-04T02:09:25.6044755-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12,
      "CompanyCode": "sample string 13",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "Name": "sample string 2",
      "COSQuestionId": 3,
      "NeedMoreInfo": true,
      "ParentId": 1,
      "QuestionName": "sample string 5",
      "AnswerValue": 1,
      "AnswerDetail": "sample string 6",
      "ParentLevel1": 1,
      "COSFormId": 1,
      "Code": "sample string 7",
      "ValidFlag": true,
      "DateCreated": "2026-08-04T02:09:25.6044755-07:00",
      "DateUpdated": "2026-08-04T02:09:25.6044755-07:00",
      "UserIDCreated": 11,
      "UserIDUpdated": 12,
      "CompanyCode": "sample string 13",
      "IsExcludeDiscount": true
    }
  ],
  "COSFormTypeId": 5,
  "Form": "sample string 6",
  "ParentLevel1": 1,
  "OptionCount": 7,
  "Code": "sample string 8",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T02:09:25.6044755-07:00",
  "DateUpdated": "2026-08-04T02:09:25.6044755-07:00",
  "UserIDCreated": 12,
  "UserIDUpdated": 13,
  "CompanyCode": "sample string 14",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfCaseOutComeQuestionDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

CaseOutComeQuestionDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Name": "sample string 2",
    "QuestionType": 3,
    "CaseOutComeTypeId": 1,
    "CaseOutComeType": "sample string 4",
    "CaseOutcomeOptionList": [
      {
        "Id": 1,
        "Name": "sample string 2",
        "COSQuestionId": 3,
        "NeedMoreInfo": true,
        "ParentId": 1,
        "QuestionName": "sample string 5",
        "AnswerValue": 1,
        "AnswerDetail": "sample string 6",
        "ParentLevel1": 1,
        "COSFormId": 1,
        "Code": "sample string 7",
        "ValidFlag": true,
        "DateCreated": "2026-08-04T02:09:25.6357772-07:00",
        "DateUpdated": "2026-08-04T02:09:25.6357772-07:00",
        "UserIDCreated": 11,
        "UserIDUpdated": 12,
        "CompanyCode": "sample string 13",
        "IsExcludeDiscount": true
      },
      {
        "Id": 1,
        "Name": "sample string 2",
        "COSQuestionId": 3,
        "NeedMoreInfo": true,
        "ParentId": 1,
        "QuestionName": "sample string 5",
        "AnswerValue": 1,
        "AnswerDetail": "sample string 6",
        "ParentLevel1": 1,
        "COSFormId": 1,
        "Code": "sample string 7",
        "ValidFlag": true,
        "DateCreated": "2026-08-04T02:09:25.6357772-07:00",
        "DateUpdated": "2026-08-04T02:09:25.6357772-07:00",
        "UserIDCreated": 11,
        "UserIDUpdated": 12,
        "CompanyCode": "sample string 13",
        "IsExcludeDiscount": true
      }
    ],
    "COSFormTypeId": 5,
    "Form": "sample string 6",
    "ParentLevel1": 1,
    "OptionCount": 7,
    "Code": "sample string 8",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T02:09:25.6357772-07:00",
    "DateUpdated": "2026-08-04T02:09:25.6357772-07:00",
    "UserIDCreated": 12,
    "UserIDUpdated": 13,
    "CompanyCode": "sample string 14",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}